cURL
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/stocks/company/price-target-summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/stocks/company/price-target-summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/stocks/company/price-target-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"all_time_avg_price_target": 155,
"all_time_count": 100,
"last_month_avg_price_target": 180.5,
"last_month_count": 5,
"last_quarter_avg_price_target": 175.25,
"last_quarter_count": 15,
"last_year_avg_price_target": 165.75,
"last_year_count": 50,
"publishers": "Goldman Sachs, Morgan Stanley",
"symbol": "AAPL"
},
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Stock
Get v1stockscompanyprice target summary
US share-class symbols accept both BRK.B and BRK-B. When symbol is provided, matching scalar symbol fields in the response echo the request spelling.
Get company average target price of last year, last quarter, last month, and current time OpenAPI JSON Spec
GET
/
v1
/
stocks
/
company
/
price-target-summary
cURL
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Stock symbol (uppercase, e.g., META, AAPL). US share classes accept both BRK.B and BRK-B.

